package de.beyondsoft.ownchat.page.profile;

import de.beyondsoft.ownchat.model.User;
import de.beyondsoft.ownchat.page.mvp.MVPView;

import android.net.Uri;
import android.support.annotation.StringRes;

import java.io.File;

/**
 * Created by imarneanu on 2/22/17.
 */
interface ProfileView extends MVPView {

    void setCallback(Callback callback);

    void setProfile(User user);

    void showError(@StringRes int message);

    void refreshImage(String imageUrl);

    File getFile(Uri uri);

    interface Callback{
        void getProfile();

        void updateProfile(String phoneNumber);

        void uploadImage(Uri uri);
    }

}
